MP4(3)

NAME

MP4SetTrackEditDuration - Set the duration of a track edit segment

SYNTAX

#include <mp4.h>

bool MP4SetTrackEditDuration(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId,
    MP4Duration duration
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment to which the operation applies. Caveat: the first edit has id 1 not 0.

duration
    Species the new value for the duration in track time scale units.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetTrackEditDuration sets the duration of the specified edit segment from the specified track in the track time scale units. See MP4ConvertToTrackDuration() for how to map this value from another time scale.

SEE ALSO

MP4(3) MP4GetTrackEditDuration(3)